{% load i18n %}

{% block content %}

  {% if rate %}
  <div id="divModal_rate" class="modal fade" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="vertical-alignment-helper">
      <div class="modal-dialog vertical-align-center">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
            <span id="cfm_tit" class="modal-title">{% trans "Avalie este serviço" %}</span>
          </div>
          <div class="modal-body">
  {% endif %}

            <form id="rate_form" class="form" method="post">{% csrf_token %}
              {% for field in forms.1 %}
              {% if 'value' in field.auto_id %}
              <div class="rating">
                <p>...</p>
                {% for radio in field %}
                  <label>
                    {{ radio.tag }}
                    <span>{{ radio.choice_label }}</span>
                  </label>
                {% endfor %}
              </div>
              {% else %}
              <br/>
              {{ field.label_tag }} {{ field }}
              {% endif %}
              {% endfor %}
              <div class="modal-footer">
                <div class="row">
                  <div class="col-md-8">
                    <h5 class="text-warning">{% if msg %}{{ msg }}{% endif %}</h5>
                  </div>
                  <div class="col-md-4">
  {% if rate %}
                    <button type="button" class="btn btn-default" data-dismiss="modal">{% trans "Agora não" %}</button>
                    <button id="btn_rate_modal" class="btn btn-primary">{% trans "Avaliar" %}</button>
  {% else %}
                    <input type="hidden" name="ratings" value="">
                    <button type="submit" class="btn btn-primary">{% trans "Avaliar" %}</button>
  {% endif %}
                  </div>
                </div>
              </div>
            </form>

  {% if rate %}
          </div>
        </div>
      </div>
    </div>
  </div>
  {% endif %}

  <script type="text/javascript">
    $('.rating label').on("mouseover", function() {
      $(this).prevAll().addClass('hover');
      $(this).addClass('hover');

      $('.rating p').html($(this).find('span').text());
    });

    $('.rating label').on("mouseout", function() {
      $(this).prevAll().removeClass('hover');
      $(this).removeClass('hover');

      var chk = $('input[name="value"]:checked');
      if (typeof chk.val() == "undefined") {
        $('.rating p').html('...');
      } else {
        $('.rating p').html(chk.parent().find('span').text());
      }
    });

    $('.rating label').on("click", function() {
      // remove all if any exist
      $('.rating label').removeClass('active');
      $('.rating label').removeClass('invalid');

      $(this).prevAll().addClass('active');
      $(this).addClass('active');
      $('input[name="value"]').val($(this).find('input').val());
    });

    // Rate OPENCoastS action
    $('[type="submit"]').click(function(e){
      // Validate form
      var rate = $('input[name="value"]:checked').val();
      if (!rate) {
        $('.rating label').addClass('invalid');
        return false;
      }
    });

    // Rate OPENCoastS action
    $('#btn_rate_modal').click(function(e){
      // Validate form
      var rate = $('input[name="value"]:checked').val();
      if (!rate) {
        $('.rating label').addClass('invalid');
      } else {
        $.ajax({
            type: 'POST',
            url: '{% url 'front:rate_service' %}',
            data: $('#rate_form').serialize(),
            success: function(data) {
                $('#divModal_rate').modal('hide');
                $('#msg_str').html(data["msg"]);
                $('#divModal_msg').modal('show');
            },
            error: function(e, x, r) {
                console.log(r + ' - ' + e);
                $('#divModal_rate').modal('hide');
                $('#msg_str').html('{% trans "Ocorreu um erro! Por favor tente mais tarde." %}');
                $('#divModal_msg').modal('show');
            }
        });
      }
      e.preventDefault();
    });
  </script>

{% endblock content %}